Bug 1253534 - [Docs] [Director] Overcloud images need to be untarred prior to upload
[Docs] [Director] Overcloud images need to be untarred prior to upload
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation (Show other bugs)
Director
Unspecified Unspecified
medium Severity medium
: z1
: Director
Assigned To: Dan Macpherson
RHOS Documentation Team
: Documentation, ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-13 23:05 EDT by August Simonelli
Modified: 2015-10-12 00:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-12 00:15:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description August Simonelli 2015-08-13 23:05:59 EDT
Description of problem:
Following the steps in section 3.8 of install guide lead to error:
[stack@ospd2 ~]$ tree
.
├── cacert.pem
├── images
│   ├── deploy-ramdisk-ironic-7.0.0-32.tar
│   ├── discovery-ramdisk-7.0.0-32.tar
│   └── overcloud-full-7.0.0-32.tar
├── privkey.pem
├── stackrc
├── templates
├── undercloud.conf
├── undercloud-passwords.conf
└── undercloud.pem

2 directories, 11 files
[stack@ospd2 ~]$ openstack overcloud image upload
ERROR: Required file "./discovery-ramdisk.initramfs" does not exist


Version-Release number of selected component (if applicable):


How reproducible:
download tarballs into images directory and run command.


Steps to Reproduce:
1. Get 2 tar'd images and place in images directory
2. run overcloud install commands
3.

Actual results:
[stack@ospd2 ~]$ openstack overcloud image upload
ERROR: Required file "./discovery-ramdisk.initramfs" does not exist

Expected results:
images should be uploaded.

Additional info:
Comment 3 August Simonelli 2015-08-13 23:13:24 EDT
[stack@ospd2 images]$ ls
deploy-ramdisk-ironic-7.0.0-32.tar  deploy-ramdisk-ironic.kernel    discovery-ramdisk.initramfs  overcloud-full-7.0.0-32.tar  overcloud-full.qcow2
deploy-ramdisk-ironic.initramfs     discovery-ramdisk-7.0.0-32.tar  discovery-ramdisk.kernel     overcloud-full.initrd        overcloud-full.vmlinuz
[stack@ospd2 images]$ pwd
/home/stack/images
[stack@ospd2 images]$ openstack image list

[stack@ospd2 images]$ openstack overcloud image upload
[stack@ospd2 images]$ openstack image list
+--------------------------------------+------------------------+
| ID                                   | Name                   |
+--------------------------------------+------------------------+
| 4a1e7d74-5028-4e84-afe5-edccbe344dd9 | bm-deploy-ramdisk      |
| 63b8729f-2c97-413e-af3b-34259a782c6c | bm-deploy-kernel       |
| dc068bc1-3f15-40a9-a92f-1f34daf28fb6 | overcloud-full         |
| 942802c7-7dd7-4505-98bd-e5d7ffc58c11 | overcloud-full-initrd  |
| 6c015071-bdbc-4d8b-a2cc-277678f1ce77 | overcloud-full-vmlinuz |
+--------------------------------------+------------------------+
Comment 4 Andrew Dahms 2015-08-20 21:55:33 EDT
Assigning to Dan for review.

Note You need to log in before you can comment on or make changes to this bug.